%define upstream_name	 Gtk3-WebKit
%define	upstream_version 0.06

%define perl_glib_require 1.240
%define gtk_require 2.22.1

%global __requires_exclude_from %{?__requires_exclude_from:%{__requires_exclude_from}|}%{_docdir}/%{name}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl module for the webkit-3.x library
License:    LGPLv2+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     WebKit2.diff
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Glib::Object::Introspection)
BuildRequires: perl(Gtk3)
BuildRequires: perl(Test::NeedsDisplay)
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Depends) >= 0.300
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires: perl(Glib::Object::Introspection) >= 0.002

%description
This module provides the Perl bindings for the Gtk port of WebKit.

WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser and Google's Chrome browser. It is made to
be embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.

%package -n perl-Gtk3-WebKit2
Summary: Perl module for the webkit-4.x library
Requires: typelib(WebKit2) >= 4.0

%description -n perl-Gtk3-WebKit2
This module provides the Perl bindings for the Gtk port of WebKit.

WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser and Google's Chrome browser. It is made to
be embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
%__perl Makefile.PL INSTALLDIRS=vendor

%build
%make_build OPTIMIZE="%{optflags}"

%install
%make_install

# drop webkit1 support
rm -rf %{buildroot}%{perl_vendorlib}/Gtk3/WebKit.pm
rm -rf %{buildroot}%{_mandir}/*/Gtk3::WebKit.*

%files -n perl-Gtk3-WebKit2
%doc COPYING Changes LICENSE META.yml MYMETA.yml README examples
%{perl_vendorlib}/Gtk3/WebKit2.pm
%_mandir/*/Gtk3::WebKit2.*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.60.0-11.mga8
+ Revision: 1528816
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 0.60.0-10.mga8
+ Revision: 1432656
- rebuild for perl 5.30

* Sat Mar 02 2019 wally <wally> 0.60.0-9.mga7
+ Revision: 1371033
- drop webkit1 support

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-8.mga7
+ Revision: 1283956
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 0.60.0-7.mga7
+ Revision: 1250616
- rebuild for perl-5.28

* Thu Jan 12 2017 tv <tv> 0.60.0-6.mga7
+ Revision: 1081171
- use std macros

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-6.mga6
+ Revision: 1028165
- Rebuild for perl 5.22.2

* Mon Feb 22 2016 tv <tv> 0.60.0-5.mga6
+ Revision: 976182
- patch 0: add support for Gtk3::WebKit2

* Fri Feb 05 2016 umeabot <umeabot> 0.60.0-4.mga6
+ Revision: 937861
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 743423
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 684925
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Tue Apr 15 2014 jquelin <jquelin> 0.60.0-1.mga5
+ Revision: 614814
- update to 0.06
- adding missing buildrequires:
- update to 0.04

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 511974
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 367972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 342191
- update to 0.03

* Mon Jan 30 2012 tv <tv> 0.20.0-1.mga2
+ Revision: 203391
- imported package perl-Gtk3-WebKit



* Sun Jan 15 2012 tv <tv> 0.20.0-1.mga2
- initial release

